package aQute.maven;

import java.util.*;

public class Entities {
	static Map<String,Integer>	entities	= new HashMap<String,Integer>();
	static {
		entities.put("quot", 0x0022); // (34) HTML 2.0 HTMLspecial ISOnum
										// quotation mark (= APL quote)
		entities.put("amp", 0x0026); // (38) HTML 2.0 HTMLspecial ISOnum
										// ampersand
		entities.put("apos", 0x0027); // (39) XHTML 1.0 HTMLspecial ISOnum
										// apostrophe (= apostrophe-quote); see
										// below
		entities.put("nbsp", 0x00A0); // (160) HTML 3.2 HTMLlat1 ISOnum no-break
										// space (= non-breaking space)[d]
		entities.put("iexcl", 0x00A1);// (161) HTML 3.2 HTMLlat1 ISOnum inverted
										// exclamation mark
		entities.put("cent", 0x00A2); // (162) HTML 3.2 HTMLlat1 ISOnum
										// cent sign
		entities.put("pound", 0x00A3); // (163) HTML 3.2 HTMLlat1 ISOnum
										// pound sign
		entities.put("curren", 0x00A4); // (164) HTML 3.2 HTMLlat1 ISOnum
										// currency sign
		entities.put("yen", 0x00A5); // (165) HTML 3.2 HTMLlat1 ISOnum yen
										// sign); //(= yuan sign)
		entities.put("brvbar", 0x00A6); // (166) HTML 3.2 HTMLlat1 ISOnum
										// broken bar); //(= broken
										// vertical bar)
		entities.put("sect", 0x00A7); // (167) HTML 3.2 HTMLlat1 ISOnum
										// section sign
		entities.put("uml", 0x00A8); // (168) HTML 3.2 HTMLlat1 ISOdia
										// diaeresis); //(= spacing
										// diaeresis); see Germanic umlaut
		entities.put("copy", 0x00A9); // (169) HTML 3.2 HTMLlat1 ISOnum
										// copyright symbol
		entities.put("ordf", 0x00AA); // (170) HTML 3.2 HTMLlat1 ISOnum
										// feminine ordinal indicator
		entities.put("laquo", 0x00AB); // (171) HTML 3.2 HTMLlat1 ISOnum
										// left-pointing double angle
										// quotation mark); //(= left
										// pointing guillemet)
		entities.put("not", 0x00AC); // (172) HTML 3.2 HTMLlat1 ISOnum not
										// sign
		entities.put("shy", 0x00AD); // (173) HTML 3.2 HTMLlat1 ISOnum soft
										// hyphen); //(= discretionary
										// hyphen)
		entities.put("reg", 0x00AE); // (174) HTML 3.2 HTMLlat1 ISOnum
										// registered sign); //( =
										// registered trademark symbol)
		entities.put("macr", 0x00AF); // (175) HTML 3.2 HTMLlat1 ISOdia
										// macron); //(= spacing macron =
										// overline = APL overbar)
		entities.put("deg", 0x00B0); // (176) HTML 3.2 HTMLlat1 ISOnum
										// degree symbol
		entities.put("plusmn", 0x00B1); // (177) HTML 3.2 HTMLlat1 ISOnum
										// plus-minus sign); //(=
										// plus-or-minus sign)
		entities.put("sup2", 0x00B2); // (178) HTML 3.2 HTMLlat1 ISOnum
										// superscript two); //(=
										// superscript digit two = squared)
		entities.put("sup3", 0x00B3); // (179) HTML 3.2 HTMLlat1 ISOnum
										// superscript three); //(=
										// superscript digit three = cubed)
		entities.put("acute", 0x00B4); // (180) HTML 3.2 HTMLlat1 ISOdia
										// acute accent); //(= spacing
										// acute)
		entities.put("micro", 0x00B5); // (181) HTML 3.2 HTMLlat1 ISOnum
										// micro sign
		entities.put("para", 0x00B6); // (182) HTML 3.2 HTMLlat1 ISOnum
										// pilcrow sign); //( = paragraph
										// sign)
		entities.put("middot", 0x00B7); // (183) HTML 3.2 HTMLlat1 ISOnum
										// middle dot); //(= Georgian
										// comma = Greek middle dot)
		entities.put("cedil", 0x00B8); // (184) HTML 3.2 HTMLlat1 ISOdia
										// cedilla); //(= spacing cedilla)
		entities.put("sup1", 0x00B9); // (185) HTML 3.2 HTMLlat1 ISOnum
										// superscript one); //(=
										// superscript digit one)
		entities.put("ordm", 0x00BA); // (186) HTML 3.2 HTMLlat1 ISOnum
										// masculine ordinal indicator
		entities.put("raquo", 0x00BB); // (187) HTML 3.2 HTMLlat1 ISOnum
										// right-pointing double angle
										// quotation mark); //(= right
										// pointing guillemet)
		entities.put("frac14", 0x00BC); // (188) HTML 3.2 HTMLlat1 ISOnum
										// vulgar fraction one quarter);
										// //(= fraction one quarter)
		entities.put("frac12", 0x00BD); // (189) HTML 3.2 HTMLlat1 ISOnum
										// vulgar fraction one half);
										// //(= fraction one half)
		entities.put("frac34", 0x00BE); // (190) HTML 3.2 HTMLlat1 ISOnum
										// vulgar fraction three
										// quarters); //(= fraction
										// three quarters)
		entities.put("iquest", 0x00BF); // (191) HTML 3.2 HTMLlat1 ISOnum
										// inverted question mark); //(=
										// turned question mark)
		entities.put("Agrave", 0x00C0); // (192) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter A with
										// grave accent); //(= Latin
										// capital letter A grave)
		entities.put("Aacute", 0x00C1); // (193) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter A with
										// acute accent
		entities.put("Acirc", 0x00C2); // (194) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter A with
										// circumflex
		entities.put("Atilde", 0x00C3); // (195) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter A with
										// tilde
		entities.put("Auml", 0x00C4); // (196) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter A with
										// diaeresis
		entities.put("Aring", 0x00C5); // (197) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter A with ring
										// above); //(= Latin capital letter
										// A ring)
		entities.put("AElig", 0x00C6); // (198) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter AE); //(=
										// Latin capital ligature AE)
		entities.put("Ccedil", 0x00C7); // (199) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter C with
										// cedilla
		entities.put("Egrave", 0x00C8); // (200) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter E with
										// grave accent
		entities.put("Eacute", 0x00C9); // (201) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter E with
										// acute accent
		entities.put("Ecirc", 0x00CA); // (202) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter E with
										// circumflex
		entities.put("Euml", 0x00CB); // (203) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter E with
										// diaeresis
		entities.put("Igrave", 0x00CC); // (204) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter I with
										// grave accent
		entities.put("Iacute", 0x00CD); // (205) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter I with
										// acute accent
		entities.put("Icirc", 0x00CE); // (206) HTML 2.0 HTMLlat1 ISOlat1
		// Latin capital letter I with
		// circumflex
		entities.put("Iuml", 0x00CF); // (207) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter I with
										// diaeresis
		entities.put("ETH", 0x00D0); // (208) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter Eth
		entities.put("Ntilde", 0x00D1); // (209) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter N with
										// tilde
		entities.put("Ograve", 0x00D2); // (210) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter O with
										// grave accent
		entities.put("Oacute", 0x00D3); // (211) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter O with
										// acute accent
		entities.put("Ocirc", 0x00D4); // (212) HTML 2.0 HTMLlat1 ISOlat1
		// Latin capital letter O with
		// circumflex
		entities.put("Otilde", 0x00D5); // (213) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter O with
										// tilde
		entities.put("Ouml", 0x00D6); // (214) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter O with
										// diaeresis
		entities.put("times", 0x00D7); // (215) HTML 3.2 HTMLlat1 ISOnum
		// multiplication sign
		entities.put("Oslash", 0x00D8); // (216) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter O with
										// stroke); //(= Latin capital
										// letter O slash)
		entities.put("Ugrave", 0x00D9); // (217) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter U with
										// grave accent
		entities.put("Uacute", 0x00DA); // (218) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter U with
										// acute accent
		entities.put("Ucirc", 0x00DB); // (219) HTML 2.0 HTMLlat1 ISOlat1
		// Latin capital letter U with
		// circumflex
		entities.put("Uuml", 0x00DC); // (220) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter U with
										// diaeresis
		entities.put("Yacute", 0x00DD); // (221) HTML 2.0 HTMLlat1 ISOlat1
										// Latin capital letter Y with
										// acute accent
		entities.put("THORN", 0x00DE); // (222) HTML 2.0 HTMLlat1 ISOlat1
		// Latin capital letter THORN
		entities.put("szlig", 0x00DF); // (223) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter sharp s); //(=
		// ess-zed); see German Eszett
		entities.put("agrave", 0x00E0); // (224) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter a with
										// grave accent
		entities.put("aacute", 0x00E1); // (225) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter a with
										// acute accent
		entities.put("acirc", 0x00E2); // (226) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter a with
		// circumflex
		entities.put("atilde", 0x00E3); // (227) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter a with
										// tilde
		entities.put("auml", 0x00E4); // (228) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter a with
										// diaeresis
		entities.put("aring", 0x00E5); // (229) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter a with ring
		// above
		entities.put("aelig", 0x00E6); // (230) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter ae); //(=
		// Latin small ligature ae)
		entities.put("ccedil", 0x00E7); // (231) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter c with
										// cedilla
		entities.put("egrave", 0x00E8); // (232) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter e with
										// grave accent
		entities.put("eacute", 0x00E9); // (233) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter e with
										// acute accent
		entities.put("ecirc", 0x00EA); // (234) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter e with
		// circumflex
		entities.put("euml", 0x00EB); // (235) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter e with
										// diaeresis
		entities.put("igrave", 0x00EC); // (236) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter i with
										// grave accent
		entities.put("iacute", 0x00ED); // (237) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter i with
										// acute accent
		entities.put("icirc", 0x00EE); // (238) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter i with
		// circumflex
		entities.put("iuml", 0x00EF); // (239) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter i with
										// diaeresis
		entities.put("eth", 0x00F0); // (240) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter eth
		entities.put("ntilde", 0x00F1); // (241) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter n with
										// tilde
		entities.put("ograve", 0x00F2); // (242) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter o with
										// grave accent
		entities.put("oacute", 0x00F3); // (243) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter o with
										// acute accent
		entities.put("ocirc", 0x00F4); // (244) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter o with
		// circumflex
		entities.put("otilde", 0x00F5); // (245) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter o with
										// tilde
		entities.put("ouml", 0x00F6); // (246) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter o with
										// diaeresis
		entities.put("divide", 0x00F7); // (247) HTML 3.2 HTMLlat1 ISOnum
										// division sign); //(= obelus)
		entities.put("oslash", 0x00F8); // (248) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter o with
										// stroke); //(= Latin small
										// letter o slash)
		entities.put("ugrave", 0x00F9); // (249) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter u with
										// grave accent
		entities.put("uacute", 0x00FA); // (250) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter u with
										// acute accent
		entities.put("ucirc", 0x00FB); // (251) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter u with
		// circumflex
		entities.put("uuml", 0x00FC); // (252) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter u with
										// diaeresis
		entities.put("yacute", 0x00FD); // (253) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter y with
										// acute accent
		entities.put("thorn", 0x00FE); // (254) HTML 2.0 HTMLlat1 ISOlat1
		// Latin small letter thorn
		entities.put("yuml", 0x00FF); // (255) HTML 2.0 HTMLlat1 ISOlat1
										// Latin small letter y with
										// diaeresis
		entities.put("OElig", 0x0152); // (338) HTML 4.0 HTMLspecial
		// ISOlat2 Latin capital ligature
		// oe[e]
		entities.put("oelig", 0x0153); // (339) HTML 4.0 HTMLspecial
		// ISOlat2 Latin small ligature
		// oe[e]
		entities.put("Scaron", 0x0160); // (352) HTML 4.0 HTMLspecial
										// ISOlat2 Latin capital letter
										// s with caron
		entities.put("scaron", 0x0161); // (353) HTML 4.0 HTMLspecial
										// ISOlat2 Latin small letter s
										// with caron
		entities.put("Yuml", 0x0178); // (376) HTML 4.0 HTMLspecial ISOlat2
										// Latin capital letter y with
										// diaeresis
		entities.put("fnof", 0x0192); // (402) HTML 4.0 HTMLsymbol ISOtech
										// Latin small letter f with hook);
										// //(= function = florin)
		entities.put("circ", 0x02C6); // (710) HTML 4.0 HTMLspecial ISOpub
										// modifier letter circumflex accent
		entities.put("tilde", 0x02DC); // (732) HTML 4.0 HTMLspecial ISOdia
		// small tilde
		entities.put("Alpha", 0x0391); // (913) HTML 4.0 HTMLsymbol Greek
		// capital letter Alpha
		entities.put("Beta", 0x0392); // (914) HTML 4.0 HTMLsymbol Greek
										// capital letter Beta
		entities.put("Gamma", 0x0393); // (915) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek capital letter Gamma
		entities.put("Delta", 0x0394); // (916) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek capital letter Delta
		entities.put("Epsilon", 0x0395); // (917) HTML 4.0 HTMLsymbol Greek
											// capital letter Epsilon
		entities.put("Zeta", 0x0396); // (918) HTML 4.0 HTMLsymbol Greek
										// capital letter Zeta
		entities.put("Eta", 0x0397); // (919) HTML 4.0 HTMLsymbol Greek
										// capital letter Eta
		entities.put("Theta", 0x0398); // (920) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek capital letter Theta
		entities.put("Iota", 0x0399); // (921) HTML 4.0 HTMLsymbol Greek
										// capital letter Iota
		entities.put("Kappa", 0x039A); // (922) HTML 4.0 HTMLsymbol Greek
		// capital letter Kappa
		entities.put("Lambda", 0x039B); // (923) HTML 4.0 HTMLsymbol
										// ISOgrk3 Greek capital letter
										// Lambda
		entities.put("Mu", 0x039C); // (924) HTML 4.0 HTMLsymbol Greek
									// capital letter Mu
		entities.put("Nu", 0x039D); // (925) HTML 4.0 HTMLsymbol Greek
									// capital letter Nu
		entities.put("Xi", 0x039E); // (926) HTML 4.0 HTMLsymbol ISOgrk3
									// Greek capital letter Xi
		entities.put("Omicron", 0x039F); // (927) HTML 4.0 HTMLsymbol Greek
											// capital letter Omicron
		entities.put("Pi", 0x03A0); // (928) HTML 4.0 HTMLsymbol Greek
									// capital letter Pi
		entities.put("Rho", 0x03A1); // (929) HTML 4.0 HTMLsymbol Greek
										// capital letter Rho
		entities.put("Sigma", 0x03A3); // (931) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek capital letter Sigma
		entities.put("Tau", 0x03A4); // (932) HTML 4.0 HTMLsymbol Greek
										// capital letter Tau
		entities.put("Upsilon", 0x03A5); // (933) HTML 4.0 HTMLsymbol
											// ISOgrk3 Greek capital letter
											// Upsilon
		entities.put("Phi", 0x03A6); // (934) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek capital letter Phi
		entities.put("Chi", 0x03A7); // (935) HTML 4.0 HTMLsymbol Greek
										// capital letter Chi
		entities.put("Psi", 0x03A8); // (936) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek capital letter Psi
		entities.put("Omega", 0x03A9); // (937) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek capital letter Omega
		entities.put("alpha", 0x03B1); // (945) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter alpha
		entities.put("beta", 0x03B2); // (946) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter beta
		entities.put("gamma", 0x03B3); // (947) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter gamma
		entities.put("delta", 0x03B4); // (948) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter delta
		entities.put("epsilon", 0x03B5); // (949) HTML 4.0 HTMLsymbol
											// ISOgrk3 Greek small letter
											// epsilon
		entities.put("zeta", 0x03B6); // (950) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter zeta
		entities.put("eta", 0x03B7); // (951) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter eta
		entities.put("theta", 0x03B8); // (952) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter theta
		entities.put("iota", 0x03B9); // (953) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter iota
		entities.put("kappa", 0x03BA); // (954) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter kappa
		entities.put("lambda", 0x03BB); // (955) HTML 4.0 HTMLsymbol
										// ISOgrk3 Greek small letter
										// lambda
		entities.put("mu", 0x03BC); // (956) HTML 4.0 HTMLsymbol ISOgrk3
									// Greek small letter mu
		entities.put("nu", 0x03BD); // (957) HTML 4.0 HTMLsymbol ISOgrk3
									// Greek small letter nu
		entities.put("xi", 0x03BE); // (958) HTML 4.0 HTMLsymbol ISOgrk3
									// Greek small letter xi
		entities.put("omicron", 0x03BF); // (959) HTML 4.0 HTMLsymbol NEW
											// Greek small letter omicron
		entities.put("pi", 0x03C0); // (960) HTML 4.0 HTMLsymbol ISOgrk3
									// Greek small letter pi
		entities.put("rho", 0x03C1); // (961) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter rho
		entities.put("sigmaf", 0x03C2); // (962) HTML 4.0 HTMLsymbol
										// ISOgrk3 Greek small letter
										// final sigma
		entities.put("sigma", 0x03C3); // (963) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter sigma
		entities.put("tau", 0x03C4); // (964) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter tau
		entities.put("upsilon", 0x03C5); // (965) HTML 4.0 HTMLsymbol
											// ISOgrk3 Greek small letter
											// upsilon
		entities.put("phi", 0x03C6); // (966) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter phi
		entities.put("chi", 0x03C7); // (967) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter chi
		entities.put("psi", 0x03C8); // (968) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek small letter psi
		entities.put("omega", 0x03C9); // (969) HTML 4.0 HTMLsymbol ISOgrk3
		// Greek small letter omega
		entities.put("thetasym", 0x03D1); // (977) HTML 4.0 HTMLsymbol NEW
											// Greek theta symbol
		entities.put("upsih", 0x03D2); // (978) HTML 4.0 HTMLsymbol NEW
		// Greek Upsilon with hook symbol
		entities.put("piv", 0x03D6); // (982) HTML 4.0 HTMLsymbol ISOgrk3
										// Greek pi symbol
		entities.put("ensp", 0x2002); // (8194) HTML 4.0 HTMLspecial ISOpub
										// en space[d]
		entities.put("emsp", 0x2003); // (8195) HTML 4.0 HTMLspecial ISOpub
										// em space[d]
		entities.put("thinsp", 0x2009); // (8201) HTML 4.0 HTMLspecial
										// ISOpub thin space[d]
		entities.put("zwnj", 0x200C); // (8204) HTML 4.0 HTMLspecial NEW
										// RFC 2070 zero-width non-joiner
		entities.put("zwj", 0x200D); // (8205) HTML 4.0 HTMLspecial NEW RFC
										// 2070 zero-width joiner
		entities.put("lrm", 0x200E); // (8206) HTML 4.0 HTMLspecial NEW RFC
										// 2070 left-to-right mark
		entities.put("rlm", 0x200F); // (8207) HTML 4.0 HTMLspecial NEW RFC
										// 2070 right-to-left mark
		entities.put("ndash", 0x2013); // (8211) HTML 4.0 HTMLspecial
		// ISOpub en dash
		entities.put("mdash", 0x2014); // (8212) HTML 4.0 HTMLspecial
		// ISOpub em dash
		entities.put("lsquo", 0x2018); // (8216) HTML 4.0 HTMLspecial
		// ISOnum left single quotation mark
		entities.put("rsquo", 0x2019); // (8217) HTML 4.0 HTMLspecial
		// ISOnum right single quotation
		// mark
		entities.put("sbquo", 0x201A); // (8218) HTML 4.0 HTMLspecial NEW
		// single low-9 quotation mark
		entities.put("ldquo", 0x201C); // (8220) HTML 4.0 HTMLspecial
		// ISOnum left double quotation mark
		entities.put("rdquo", 0x201D); // (8221) HTML 4.0 HTMLspecial
		// ISOnum right double quotation
		// mark
		entities.put("bdquo", 0x201E); // (8222) HTML 4.0 HTMLspecial NEW
		// double low-9 quotation mark
		entities.put("dagger", 0x2020); // (8224) HTML 4.0 HTMLspecial
										// ISOpub dagger, obelisk
		entities.put("Dagger", 0x2021); // (8225) HTML 4.0 HTMLspecial
										// ISOpub double dagger, double
										// obelisk
		entities.put("bull", 0x2022); // (8226) HTML 4.0 HTMLspecial ISOpub
										// bullet); //(= black small
										// circle)[f]
		entities.put("hellip", 0x2026); // (8230) HTML 4.0 HTMLsymbol
										// ISOpub horizontal ellipsis);
										// //(= three dot leader)
		entities.put("permil", 0x2030); // (8240) HTML 4.0 HTMLspecial
										// ISOtech per mille sign
		entities.put("prime", 0x2032); // (8242) HTML 4.0 HTMLsymbol
		// ISOtech prime); //(= minutes =
		// feet)
		entities.put("Prime", 0x2033); // (8243) HTML 4.0 HTMLsymbol
		// ISOtech double prime); //(=
		// seconds = inches)
		entities.put("lsaquo", 0x2039); // (8249) HTML 4.0 HTMLspecial ISO
										// proposed single left-pointing
										// angle quotation mark[g]
		entities.put("rsaquo", 0x203A); // (8250) HTML 4.0 HTMLspecial ISO
										// proposed single
										// right-pointing angle
										// quotation mark[g]
		entities.put("oline", 0x203E); // (8254) HTML 4.0 HTMLsymbol NEW
		// overline); //(= spacing
		// overscore)
		entities.put("frasl", 0x2044); // (8260) HTML 4.0 HTMLsymbol NEW
		// fraction slash); //(= solidus)
		entities.put("euro", 0x20AC); // (8364) HTML 4.0 HTMLspecial NEW
										// euro sign
		entities.put("image", 0x2111); // (8465) HTML 4.0 HTMLsymbol
		// ISOamso black-letter capital I);
		// //(= imaginary part)
		entities.put("weierp", 0x2118); // (8472) HTML 4.0 HTMLsymbol
										// ISOamso script capital P);
										// //(= power set = Weierstrass
										// p)
		entities.put("real", 0x211C); // (8476) HTML 4.0 HTMLsymbol ISOamso
										// black-letter capital R); //(=
										// real part symbol)
		entities.put("trade", 0x2122); // (8482) HTML 4.0 HTMLsymbol ISOnum
		// trademark symbol
		entities.put("alefsym", 0x2135); // (8501) HTML 4.0 HTMLsymbol NEW
											// alef symbol); //(= first
											// transfinite cardinal)[h]
		entities.put("larr", 0x2190); // (8592) HTML 4.0 HTMLsymbol ISOnum
										// leftwards arrow
		entities.put("uarr", 0x2191); // (8593) HTML 4.0 HTMLsymbol ISOnum
										// upwards arrow
		entities.put("rarr", 0x2192); // (8594) HTML 4.0 HTMLsymbol ISOnum
										// rightwards arrow
		entities.put("darr", 0x2193); // (8595) HTML 4.0 HTMLsymbol ISOnum
										// downwards arrow
		entities.put("harr", 0x2194); // (8596) HTML 4.0 HTMLsymbol ISOamsa
										// left right arrow
		entities.put("crarr", 0x21B5); // (8629) HTML 4.0 HTMLsymbol NEW
		// downwards arrow with corner
		// leftwards); //(= carriage return)
		entities.put("lArr", 0x21D0); // (8656) HTML 4.0 HTMLsymbol ISOtech
										// leftwards double arrow[i]
		entities.put("uArr", 0x21D1); // (8657) HTML 4.0 HTMLsymbol ISOamsa
										// upwards double arrow
		entities.put("rArr", 0x21D2); // (8658) HTML 4.0 HTMLsymbol ISOnum
										// rightwards double arrow[j]
		entities.put("dArr", 0x21D3); // (8659) HTML 4.0 HTMLsymbol ISOamsa
										// downwards double arrow
		entities.put("hArr", 0x21D4); // (8660) HTML 4.0 HTMLsymbol ISOamsa
										// left right double arrow
		entities.put("forall", 0x2200); // (8704) HTML 4.0 HTMLsymbol
										// ISOtech for all
		entities.put("part", 0x2202); // (8706) HTML 4.0 HTMLsymbol ISOtech
										// partial differential
		entities.put("exist", 0x2203); // (8707) HTML 4.0 HTMLsymbol
		// ISOtech there exists
		entities.put("empty", 0x2205); // (8709) HTML 4.0 HTMLsymbol
		// ISOamso empty set); //(= null set
		// = diameter)
		entities.put("nabla", 0x2207); // (8711) HTML 4.0 HTMLsymbol
		// ISOtech nabla); //(= backward
		// difference)
		entities.put("isin", 0x2208); // (8712) HTML 4.0 HTMLsymbol ISOtech
										// element of
		entities.put("notin", 0x2209); // (8713) HTML 4.0 HTMLsymbol
		// ISOtech not an element of
		entities.put("ni", 0x220B); // (8715) HTML 4.0 HTMLsymbol ISOtech
									// contains as member
		entities.put("prod", 0x220F); // (8719) HTML 4.0 HTMLsymbol ISOamsb
										// n-ary product); //(= product
										// sign)[k]
		entities.put("sum", 0x2211); // (8721) HTML 4.0 HTMLsymbol ISOamsb
										// n-ary summation[l]
		entities.put("minus", 0x2212); // (8722) HTML 4.0 HTMLsymbol
		// ISOtech minus sign
		entities.put("lowast", 0x2217); // (8727) HTML 4.0 HTMLsymbol
										// ISOtech asterisk operator
		entities.put("radic", 0x221A); // (8730) HTML 4.0 HTMLsymbol
		// ISOtech square root); //(=
		// radical sign)
		entities.put("prop", 0x221D); // (8733) HTML 4.0 HTMLsymbol ISOtech
										// proportional to
		entities.put("infin", 0x221E); // (8734) HTML 4.0 HTMLsymbol
		// ISOtech infinity
		entities.put("ang", 0x2220); // (8736) HTML 4.0 HTMLsymbol ISOamso
										// angle
		entities.put("and", 0x2227); // (8743) HTML 4.0 HTMLsymbol ISOtech
										// logical and); //(= wedge)
		entities.put("or", 0x2228); // (8744) HTML 4.0 HTMLsymbol ISOtech
									// logical or); //(= vee)
		entities.put("cap", 0x2229); // (8745) HTML 4.0 HTMLsymbol ISOtech
										// intersection); //(= cap)
		entities.put("cup", 0x222A); // (8746) HTML 4.0 HTMLsymbol ISOtech
										// union); //(= cup)
		entities.put("int", 0x222B); // (8747) HTML 4.0 HTMLsymbol ISOtech
										// integral
		entities.put("there4", 0x2234); // (8756) HTML 4.0 HTMLsymbol
										// ISOtech therefore sign
		entities.put("sim", 0x223C); // (8764) HTML 4.0 HTMLsymbol ISOtech
										// tilde operator); //(= varies with
										// = similar to)[m]
		entities.put("cong", 0x2245); // (8773) HTML 4.0 HTMLsymbol ISOtech
										// congruent to
		entities.put("asymp", 0x2248); // (8776) HTML 4.0 HTMLsymbol
		// ISOamsr almost equal to); //(=
		// asymptotic to)
		entities.put("ne", 0x2260); // (8800) HTML 4.0 HTMLsymbol ISOtech
									// not equal to
		entities.put("equiv", 0x2261); // (8801) HTML 4.0 HTMLsymbol
		// ISOtech identical to; sometimes
		// used for 'equivalent to'
		entities.put("le", 0x2264); // (8804) HTML 4.0 HTMLsymbol ISOtech
									// less-than or equal to
		entities.put("ge", 0x2265); // (8805) HTML 4.0 HTMLsymbol ISOtech
									// greater-than or equal to
		entities.put("sub", 0x2282); // (8834) HTML 4.0 HTMLsymbol ISOtech
										// subset of
		entities.put("sup", 0x2283); // (8835) HTML 4.0 HTMLsymbol ISOtech
										// superset of[n]
		entities.put("nsub", 0x2284); // (8836) HTML 4.0 HTMLsymbol ISOamsn
										// not a subset of
		entities.put("sube", 0x2286); // (8838) HTML 4.0 HTMLsymbol ISOtech
										// subset of or equal to
		entities.put("supe", 0x2287); // (8839) HTML 4.0 HTMLsymbol ISOtech
										// superset of or equal to
		entities.put("oplus", 0x2295); // (8853) HTML 4.0 HTMLsymbol
		// ISOamsb circled plus); //(=
		// direct sum)
		entities.put("otimes", 0x2297); // (8855) HTML 4.0 HTMLsymbol
										// ISOamsb circled times); //(=
										// vector product)
		entities.put("perp", 0x22A5); // (8869) HTML 4.0 HTMLsymbol ISOtech
										// up tack); //(= orthogonal to =
										// perpendicular)[o]
		entities.put("sdot", 0x22C5); // (8901) HTML 4.0 HTMLsymbol ISOamsb
										// dot operator[p]
		entities.put("lceil", 0x2308); // (8968) HTML 4.0 HTMLsymbol
		// ISOamsc left ceiling); //(= APL
		// upstile)
		entities.put("rceil", 0x2309); // (8969) HTML 4.0 HTMLsymbol
		// ISOamsc right ceiling
		entities.put("lfloor", 0x230A); // (8970) HTML 4.0 HTMLsymbol
										// ISOamsc left floor); //(= APL
										// downstile)
		entities.put("rfloor", 0x230B); // (8971) HTML 4.0 HTMLsymbol
										// ISOamsc right floor
		entities.put("lang", 0x2329); // (9001) HTML 4.0 HTMLsymbol ISOtech
										// left-pointing angle bracket);
										// //(= bra)[q]
		entities.put("rang", 0x232A); // (9002) HTML 4.0 HTMLsymbol ISOtech
										// right-pointing angle bracket);
										// //(= ket)[r]
		entities.put("loz", 0x25CA); // (9674) HTML 4.0 HTMLsymbol ISOpub
										// lozenge
		entities.put("spades", 0x2660); // (9824) HTML 4.0 HTMLsymbol
										// ISOpub black spade suit[f]
		entities.put("clubs", 0x2663); // (9827) HTML 4.0 HTMLsymbol ISOpub
		// black club suit); //(=
		// shamrock)[f]
		entities.put("hearts", 0x2665); // (9829) HTML 4.0 HTMLsymbol
										// ISOpub black heart suit);
										// //(= valentine)[f]
		entities.put("diams", 0x2666); // (9830) HTML 4.0 HTMLsymbol ISOpub
		// black diamond suit[f]
	}

	public static char getEntity(String entity) {
		Integer integer = entities.get(entity);
		if (integer == null)
			return 0;

		int n = integer;
		return (char) n;
	}
}
